Data Protection - incompatibility between CA Data Protection (DataMinder) 14.x and 15.0/15.1

Document ID : KB000045419
Last Modified Date : 14/02/2018
Show Technical Document Details

Issue:

Customers planning to upgrade from CA Data Protection (DataMinder) 14.x to 15.0 or 15.1 may encounter an incompatibility issue.  This incompatibility manifests as an exception (example below) recorded in the Activity logs on a machine hosting the 14.x CA Data Protection (DataMinder) Outlook Agent or the 14.x CA Data Protection (DataMinder) Policy Engine.

 

This exception occurs if you are using a 15.0/15.1 Server with 14.x Policy Engine or 14.x Outlook Agent and you make policy updates, reload existing policies or load a policy for the first time and stops 14.x Clients or PE policy application.

 

Example:

May 10, 2016 12:00:01 PM \ E0928 The server failed during initialization/policy update. Exception was 'unknown exception'.

 

Resolution:

CA recommends the following upgrade approaches:

1.  If you are able to execute your Outlook Agent and Policy Engine upgrades in a policy freeze window after upgrading your CA Data Protection Server to 15.0/15.1, proceed with the upgrade to CA Data Protection 15.0/15.1.

 

In this situation, when you plan subsequent upgrades (from CA Data Protection 15.0/15.1 to CA Data Protection 15.2 or later), you will have to adopt the same upgrade approach as above.

 

2.  If you need to do a rolling upgrade across your CA Data Protection Server, Policy Engine and Endpoint Agents, plan to upgrade to CA Data Protection 15.2 or above.

 

Note: If you are already running CA Data Protection 15.0/15.1 Server/Policy Engine/Agent in your environment, this incompatibility does not impact you - so, no action is needed. In the future, when you upgrade from CA Data Protection 15.0/15.1 to a later version of CA Data Protection, you will also need to execute your Server/Policy Engine/Agent upgrade over the course of a policy freeze window.

 

Additional information:

If you have any questions on the above, please contact the CA Data Protection Technical Support Team via CA Support at 1-800-225-5224.